<?php
namespace Codexpert\Handy_Addons\Modules;
use Codexpert\Plugin\Base;
use Codexpert\Handy_Addons\Helper;
use Codexpert\Handy_Addons\Modules\Checkout_Editor\Ajax;
use Codexpert\Handy_Addons\Modules\Checkout_Editor\Admin;
use Codexpert\Handy_Addons\Modules\Checkout_Editor\Settings;
use Codexpert\Handy_Addons\Modules\Checkout_Editor\Common;
use Codexpert\Handy_Addons\Modules\Checkout_Editor\Front;

/**
 * if accessed directly, exit.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Checkout_Editor
 *
 * Adds order bumps
 *
 * @package Modules
 * @subpackage Checkout_Editor
 * @author codexpert <hi@codexpert.io>
 */
class Checkout_Editor extends Base {

	public $id;

	public $module;
	
	public static $_instance;

	/**
	 * Constructor function
	 */
	public function __construct() {

		$this->id = basename( __FILE__, '.php' );

		// if we have an addon activated for this module, don't proceed
		if( handy_addons_addon_is_active( $this->id ) ) return;

		// get the module data
		$this->module =  handy_addons_get_module( $this->id );

		$this->module['name'] = "{$this->module['icon']} {$this->module['name']}";

		// execute the hooks
		$this->hook();
	}

	public function hook() {

		include_once dirname( __FILE__ ) . "/src/functions.php";

		if( is_admin() ) :
			include_once HANDY_ADDONS_DIR . "/modules/{$this->id}/src/Admin.php";
			$admin 		= new Admin();
			include_once HANDY_ADDONS_DIR . "/modules/{$this->id}/src/Settings.php";
			$settings 	= new Settings();
		else:
			include_once HANDY_ADDONS_DIR . "/modules/{$this->id}/src/Front.php";
			$front = new Front();
		endif;

		include_once HANDY_ADDONS_DIR . "/modules/{$this->id}/src/Common.php";
		$common = new Common();
	}

	/**
	 * Instantiate the module
	 */
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}
}

Checkout_Editor::instance();