<?php
namespace Codexpert\Handy_Addons\Modules\Checkout_Editor;
use Codexpert\Plugin\Base;
use Codexpert\Handy_Addons\Helper;

/**
 * All admin code 
 * @author Al Imran Akaash <alimranakash.bd@gmail.com>
 */

class Admin extends Base {

	public $id;

	/**
	 * Constructor function
	 */
	public function __construct() {
		// $locations 				= get_option( 'ha_checkout_settings' );
		// $location_order_screen	= $locations['ha_additional_fields_location_order_screen'];

		$this->id = 'checkout-editor'; 
		$this->action( 'admin_enqueue_scripts', 'enqueue_scripts' );
		$this->action( 'admin_footer', 'popup_notice_html' );
		// $this->action( $location_order_screen, 'view_additional_fields', 20 );
	}

	public function head(){}

	public function enqueue_scripts() {
		wp_enqueue_style( $this->id, plugins_url( "modules/{$this->id}/assets/css/admin.css", HANDY_ADDONS ) );
		wp_enqueue_script( $this->id, plugins_url( "modules/{$this->id}/assets/js/admin.js", HANDY_ADDONS ), [ 'jquery' ] );
		$localized = [
			'admin_url'		=> admin_url( 'admin.php' ),
			'nonce'			=> wp_create_nonce( 'handy-addons' ),
			'delete_msg'	=> __( 'Are you sure to delete this?', 'handy-addons' ),
		];
		wp_localize_script( $this->id, 'WCHABUMP', apply_filters( "{$this->id}-localized", $localized ) );
	}

	/**
	 * Generate HTML for popup notification
	 * @author Jakaria Istauk <jakariamd35@gmail.com>
	 * @since 1.0
	 */
	public function popup_notice_html(){
		?>
			<div id="wcha-alert-overlay">
				<div id="wcha-alert-popup">
					<span class="wcha-alert-dismiss">&times;</span>
					<div class="wcha-alert-content"></div>
				</div>
			</div>
		<?php
	}

	public function view_additional_fields( $order ) {

		if ( is_int( $order ) || is_numeric( $order ) ) {
			$order = wc_get_order( $order );
		}
		
		$custom_fields = handy_addons_get_custom_checkout_fields( $order );
		
		if ( empty( $custom_fields['billing'] ) && empty( $custom_fields['shipping'] ) ) return;

		echo '<section class="ha-additional-fields-details woocommerce-columns woocommerce-columns--2 woocommerce-columns--addresses col2-set addresses">';
		echo '<h2 class="woocommerce-column__title">'. __( 'Additional Fields', 'wc-one-pager' ) .'</h2>';
		$count = 1;
		foreach ( $custom_fields as $key => $custom_field ) {
			if ( !empty( $custom_field ) ) {
				echo "<div class='woocommerce-column woocommerce-column--" . esc_attr( $count ) . " woocommerce-column--" . esc_attr( $key ) . "-address col-" . esc_attr( $count ) . "'>";
				echo '<h4 class="woocommerce-">'. ucwords( esc_html( $key ) ) .'</h4>';
					echo '<address>';

						foreach ( $custom_field as $key => $field ) {
							echo "<p><strong> ". esc_html( $key ) .":</strong> ". esc_html( $field ) ."</p>";
						}

					echo '</address>';
				echo '</div>';

				$count++;
			}	
		}
		echo '</section>';
	}
}