<?php
namespace Codexpert\Handy_Addons\Modules\Checkout_Editor;
use Codexpert\Plugin\Base;
use Codexpert\Handy_Addons\Helper;

/**
 * All admin code 
 * @author Al Imran Akaash <alimranakash.bd@gmail.com>
 */

class Common extends Base {

	public $id;

	/**
	 * Constructor function
	 */
	public function __construct() {

		$this->id = 'checkout-editor'; 
		$this->action( 'init', 'show_additional_fields' );
	}

	public function show_additional_fields() {

		$types = Helper::get_option( 'ha_checkout-fields', 'checkout_fields' ) ? : [];

		$additional_fields = [];
		foreach ( $types as $type => $fields ) {
			foreach ( $fields as $name => $field ) {

				if ( !handy_addons_is_default_field( $name ) ) {
					$additional_fields[ $name ] = [
						$field['thankyou_hooks'] => $field['label'],
						$field['email_hooks'] => $field['label'],
						$field['order_hooks'] => $field['label'],
					];
				}
			}
		}

		foreach( $additional_fields as $field => $additional_field ) {

			foreach ( $additional_field as $hook => $label ) {

				if ( !empty( $hook ) ) {
					add_action( $hook, function( $order ) use ( $field, $label ) {

						if ( is_int( $order ) || is_numeric( $order ) ) {
							$order = wc_get_order( $order );
						}

						$get_fields = handy_addons_get_custom_checkout_fields( $order );

						$value = isset( $get_fields['_' . $field ] ) ? $get_fields['_' . $field ] : '';

						echo '<section class="ha-additional-fields-details woocommerce-columns woocommerce-columns--2 woocommerce-columns--addresses col2-set addresses">';

						if ( !empty( $value ) ) {
							echo "<p><strong>". esc_html( $label ) .":</strong> ". esc_html( $value ) ."</p>";
						}
						
						echo '</section>';

					} );
				}
			}
		}
	}
}