<?php
namespace Codexpert\Handy_Addons\Modules\Checkout_Editor;
use Codexpert\Plugin\Base;
use Codexpert\Handy_Addons\Helper;

/**
 * All admin code 
 * @author Al Imran Akaash <alimranakash.bd@gmail.com>
 */

class Settings extends Base {
	/**
	 * Constructor function
	 */
	public function __construct() {
		$this->id = 'checkout-editor';

		// get the module data
		$this->module =  handy_addons_get_module( $this->id );

		$this->module['name'] = "{$this->module['icon']} {$this->module['name']}";

		$this->action( 'plugins_loaded', 'add_menu', 11 );
		$this->action( 'cx-settings-before-fields', 'tab_content' );
	}

	public function add_menu() {

		$date_format = get_option( 'date_format' );
		$settings = [
			'id'            => $this->id,
			'label'         => $this->module['name'],
			'title'         => __( 'Checkout Editor', 'handy-addons' ),
			'header'        => __( 'Checkout Editor', 'handy-addons' ),
			'priority'		=> 10,
			'capability'	=> 'manage_options',
			'parent'		=> 'handy-addons',
			'icon'			=> 'dashicons-yes',
			'position'		=> 56,
			'sections'      => [				
				'ha_checkout-fields'	=> [
					'id'        => 'ha_checkout-fields',
					'label'     => __( 'Checkout fields', 'handy-addons' ),
					'icon'      => 'dashicons-admin-settings',
					'color'		=> '#d30c5c',
					// 'hide_form'	=> true,
					'fields'    => [],
				],
			]
		];

		new \Codexpert\Plugin\Settings( $settings );
	}

	public function tab_content( $section ) {
		if( 'ha_checkout-fields' == $section['id'] ) {
			echo Helper::get_template( 'checkout-fields', "modules/{$this->id}/views" );
		}
	}
}