<?php 
use Codexpert\Handy_Addons\Helper;

/**
 * Default checkout fields
 *
 * @param string $section form section billing|shipping|order
 *
 * @since 1.0
 */
if( !function_exists( 'handy_addons_fields' ) ) :
function handy_addons_fields( $section = '' ) {
	$fields = [
		'billing' => [ 
			'billing_first_name' 	=> [
				'id'			=> 'billing_first_name',
				'label'			=> __( 'First name', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> 'First name',
				'class'			=> 'form-row-first',
			],
			'billing_last_name' 	=> [
				'id'			=> 'billing_last_name',
				'label'			=> __( 'Last name', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-last',
			],
			'billing_company' 		=> [
				'id'			=> 'billing_company',
				'label'			=> __( 'Company name', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> false,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'billing_country' 		=> [
				'id'			=> 'billing_country',
				'label'			=> __( 'Country / Region', 'handy-addons' ),
				// 'type'			=> 'country',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'billing_address_1' 	=> [
				'id'			=> 'billing_address_1',
				'label'			=> __( 'Street address', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> 'House number and street name',
				'class'			=> 'form-row-wide',
			],
			'billing_address_2' 	=> [
				'id'			=> 'billing_address_2',
				'label'			=> __( 'Address 2', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> false,
				'placeholder'	=> 'Apartment, suite, unit, etc. (optional)',
				'class'			=> 'form-row-wide',
			],
			'billing_city' 			=> [
				'id'			=> 'billing_city',
				'label'			=> __( 'Town / City', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'billing_state' 		=> [
				'id'			=> 'billing_state',
				'label'			=> __( 'State', 'handy-addons' ),
				// 'type'			=> 'state',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> 'text',
				'class'			=> 'form-row-wide',
			],
			'billing_postcode' 		=> [
				'id'			=> 'billing_postcode',
				'label'			=> __( 'ZIP', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> 'text',
				'class'			=> 'form-row-wide',
			],
			'billing_phone' 		=> [
				'id'			=> 'billing_phone',
				'label'			=> __( 'Phone', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'billing_email' 		=> [
				'id'			=> 'billing_email',
				'label'			=> __( 'Email address', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
		],

		'shipping' => [ 
			'shipping_first_name' 	=> [
				'id'			=>	'shipping_first_name',
				'label'			=> __( 'First name', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-first',
			],
			'shipping_last_name'	=> [
				'id'			=>	'shipping_last_name',
				'label'			=> __( 'Last name', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-last',
			],
			'shipping_company' 		=> [
				'id'			=>	'shipping_company',
				'label'			=> __( 'Company name', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> false,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'shipping_country' 		=> [
				'id'			=>	'shipping_country',
				'label'			=> __( 'Country / Region', 'handy-addons' ),
				// 'type'			=> 'country',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'shipping_address_1'	=> [
				'id'			=>	'shipping_address_1',
				'label'			=> __( 'Street address', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> 'House number and street name',
				'class'			=> 'form-row-wide',
			],
			'shipping_address_2'	=> [
				'id'			=>	'shipping_address_2',
				'label'			=> __( 'Address 2', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> 'Apartment, suite, unit, etc. (optional)',
				'class'			=> 'form-row-wide',
			],
			'shipping_city' 		=> [
				'id'			=>	'shipping_city',
				'label'			=> __( 'Town / City', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'shipping_state' 		=> [
				'id'			=>	'shipping_state',
				'label'			=> __( 'State', 'handy-addons' ),
				// 'type'			=> 'state',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
			'shipping_postcode' 	=> [
				'id'			=>	'shipping_postcode',
				'label'			=> __( 'ZIP', 'handy-addons' ),
				// 'type'			=> 'text',
				'enabled'		=> 'on',
				'required'		=> true,
				'placeholder'	=> '',
				'class'			=> 'form-row-wide',
			],
		],

		'order' => [ 
			'order_comments' 	=> [
				'id'			=>	'order_comments',
				'label'			=> __( 'Order Notes', 'handy-addons' ),
				// 'type'			=> 'textarea',
				'enabled'		=> 'on',
				'required'		=> false,
				'placeholder'	=> 'Notes about your order, e.g. special notes for delivery.',
				'class'			=> 'notes',
			],
		]
	];

	if( $section != '' && isset( $fields[ $section ] ) ) {
		return apply_filters( 'handy_addons_fields', $fields[ $section ] );
	}

	return apply_filters( 'handy_addons_fields', $fields );
}
endif;

/**
 * Check Default Field
 *
 * @return boolean
 */
if( !function_exists( 'handy_addons_is_default_field' ) ) :
function handy_addons_is_default_field( $field_id ) {

	$default_fields = handy_addons_fields();
	foreach ( $default_fields as $key => $fields ) {
		if ( array_key_exists( $field_id, $fields ) ) {
			return true;
		}
	}
}
endif;

/**
 * Check Default Field
 *
 * @return boolean
 * @author Al Imran Akaash <alimranakash.bd@gmail.com>
 */
if( !function_exists( 'handy_addons_is_default_field' ) ) :
function handy_addons_is_default_field( $field_id ) {
	
	$default_fields = handy_addons_fields();
	foreach ( $default_fields as $key => $fields ) {
		if ( array_key_exists( $field_id, $fields ) ) {
			return true;
		}
	}
}
endif;

/**
 * Get custom checkout fields by order object
 *
 * @return array
 * @author Al Imran Akaash <alimranakash.bd@gmail.com>
 */
if( !function_exists( 'handy_addons_get_custom_checkout_fields' ) ) :
function handy_addons_get_custom_checkout_fields( $order ) {

	$meta_datas = $order->get_meta_data();
	
	$metas = [];
	foreach ( $meta_datas as $meta_data ) {
		$metas[ $meta_data->get_data()['key'] ] = $meta_data->get_data()['value'];
	}
	
	return $metas;
}
endif;