<?php 
namespace codexpert\Handy_Addons\Modules\PDF_Invoice;
use Codexpert\Plugin\Base;
use Codexpert\Handy_Addons\Helper;
use Codexpert\Handy_Addons\Modules\PDF_Invoice\Front;

/**
 * All admin classes
 * 
 * @author Jakaria Istauk <jakariamd35@gmail.com>
 */
class Admin extends Base
{
	
	public function __construct(){
		$this->hooks();
	}

	public function hooks(){
		$this->action( 'admin_head', 'head' );
		$this->priv( 'wcha-save-pdf-invoice-template', 'save_template' );
		$this->action( 'add_meta_boxes', 'pdf_invoice_button' );
	}

	public function head(){
		
	}

	public function save_template(){

		$response = [ 'status' => 0, 'message' => __( 'Something went wrong', 'handy-addons' ) ];

		if ( !wp_verify_nonce( $_POST['_wpnonce'], 'handy-addons' ) ) {
			$response['message'] = __( 'Unauthorized', 'handy-addons' );
			wp_send_json( $response );
		}

		$template_saved = update_option( 'wcha-pdf-invoice-template', sanitize_text_field( $_POST['template'] ) );

		if ( $template_saved ) {
			$response = [ 'status' => 1, 'message' => __( 'Template Saved', 'handy-addons' ) ];
		}

		wp_send_json( $response );
	}
	public function pdf_invoice_button() {
		global $post;

		$settings 			= get_option( 'pdf-general' );
		$general_settings 	= get_option( 'pdf-general' );

		if ( !isset( $general_settings['enable-invoice'] ) ) return;
		if ( !$settings ) return;
		if ( !isset( $settings['allow-invoicing-for'] ) || !in_array( $post->post_status, $settings['allow-invoicing-for'] ) ) return;

        add_meta_box(
            'wcha_download_pdf_invoice',
            __( 'PDF Invoice', 'handy-addons' ),
            [ $this, 'invoice_download_btn'],
            'shop_order',
            'side',
            'high'
        );
	}

	public function invoice_download_btn( $post ){
		$current_url 	= home_url( sanitize_url( $_SERVER['REQUEST_URI'] ) );
		$request_url 	= add_query_arg( 'invoice-id', $post->ID, $current_url );
		$settings 		= get_option( 'pdf-general' );

		if( !in_array( $post->post_status, $settings['allow-invoicing-for'] ) ) return;
		echo "<a class='button button-primary' href=". esc_url( $request_url ) .">" . __( 'Download', 'handy-addons' ) . "</a>";
	}
}