<?php 
use Codexpert\Handy_Addons\Helper;

$templates = [
	[
		'id' 		=> 'template-1',
		'status' 	=> 'exist',
		'name' 		=> __( 'Template One', 'handy-addons' ),
		'preview'	=> plugins_url( "modules/pdf-invoice/assets/preview/template-1.png", HANDY_ADDONS )
	],
	[
		'id' 		=> 'template-2',
		'status' 	=> 'exist',
		'name' 		=> __( 'Template Two', 'handy-addons' ),
		'preview'	=> plugins_url( "modules/pdf-invoice/assets/preview/template-2.png", HANDY_ADDONS )
	],
	[
		'id' 		=> 'template-3',
		'status' 	=> 'exist',
		'name' 		=> __( 'Template Three', 'handy-addons' ),
		'preview'	=> plugins_url( "modules/pdf-invoice/assets/preview/template-3.png", HANDY_ADDONS )
	],
	[
		'id' 		=> 'template-4',
		'status' 	=> 'comingsoon',
		'name' 		=> __( 'Template Four', 'handy-addons' ),
		'preview'	=> plugins_url( "modules/pdf-invoice/assets/preview/template-4.jpg", HANDY_ADDONS )
	],
	[
		'id' 		=> 'template-5',
		'status' 	=> 'comingsoon',
		'name' 		=> __( 'Template Five', 'handy-addons' ),
		'preview'	=> plugins_url( "modules/pdf-invoice/assets/preview/template-5.jpg", HANDY_ADDONS )
	],
];
$saved_template = get_option( 'wcha-pdf-invoice-template' );
?>

<div class="wcha-pdf-invoice-template-form-container">
	<form id="wcha-pdf-invoice-template-form">
		<?php wp_nonce_field( 'handy-addons' ); ?>
		<input type="hidden" name="action" value="wcha-save-pdf-invoice-template">
		<div class="wcha-pdf-invoice-templates">
			<ul>
				<?php foreach ( $templates as $template ) {
					$checked 	= checked( $saved_template, $template['id'], false );
					$active 	= $checked ? 'active' : '';
					echo "<li class='wcha-pdf-invoice-template ". esc_attr( $template['status'] ) ." ". esc_attr( $active ) ."'>
							<label><input type='radio' name='template' value='".esc_attr( $template['id'] )."' {$checked} required><img src='". esc_url( $template['preview'] ) ."'><span class='dashicons dashicons-saved'></span><div class='wps-commingsoon-overlay'>" . __( 'Cooming Soon', 'handy-addons' ) . "</div></label>
						</li>";
				} ?>
			</ul>
		</div>
		<div class="wcha-pitf-submit-btn">
			<button class="button button-primary" type="submit"><?php _e( 'Save Template', 'handy-addons' ); ?></button>
		</div>
	</form>
</div>