<?php
/**
 * All module related functions
 */
namespace Codexpert\Handy_Addons;
use Codexpert\Plugin\Base;

/**
 * if accessed directly, exit.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @package Plugin
 * @subpackage Modules
 * @author codexpert <hi@codexpert.io>
 */
class Modules extends Base {

	public $plugin;

	/**
	 * Constructor function
	 */
	public function __construct( $plugin ) {
		$this->plugin	= $plugin;
		$this->slug		= $this->plugin['TextDomain'];
		$this->name		= $this->plugin['Name'];
		$this->server	= $this->plugin['server'];
		$this->version	= $this->plugin['Version'];
	}

	public function load() {
		$modules = handy_addons_get_modules( true );
		foreach ( $modules as $id => $module ) {

			// if not enabled, don't load it
			if( ! handy_addons_module_is_active( $id ) ) continue;

			// $type = $module['pro'] ? 'pro' : 'free';

			if( file_exists( HANDY_ADDONS_DIR . "/modules/{$id}/{$id}.php" ) ) {
				include_once HANDY_ADDONS_DIR . "/modules/{$id}/{$id}.php";
			}
		}
	}
}