<?php
/**
 * All settings related functions
 */
namespace Codexpert\Handy_Addons;
use Codexpert\Plugin\Base;
use Codexpert\Plugin\Table;

/**
 * @package Plugin
 * @subpackage Settings
 * @author Codexpert <hi@codexpert.io>
 */
class Settings extends Base {

	public $plugin;

	/**
	 * Constructor function
	 */
	public function __construct( $plugin ) {
		$this->plugin	= $plugin;
		$this->slug		= $this->plugin['TextDomain'];
		$this->name		= $this->plugin['Name'];
		$this->version	= $this->plugin['Version'];
	}
	
	public function init_menu() {
		
		$settings = [
			'id'            => $this->slug,
			'label'         => __( 'Handy Addons', 'handy-addons' ),
			'title'         => $this->name,
			'header'        => $this->name,
			'priority'		=> 10,
			'capability'	=> 'manage_options',
			'icon'			=> 'dashicons-yes',
			'position'		=> 56,
			'sections'      => [
				'handy_addons_modules'	=> [
					'id'        => 'handy_addons_modules',
					'label'     => __( 'Modules', 'handy-addons' ),
					'icon'      => 'dashicons-screenoptions',
					'color'		=> '#4c3f93',
					'sticky'	=> true,
					'page_load'		=> true,
					'fields'    => [
						'enabled' => [
							'id'        => 'enabled',
							'label'     => __( 'Enable Modules', 'handy-addons' ),
							'type'      => 'switch',
							'multiple'	=> true,
							'options'	=> handy_addons_get_modules(),
							'desc'      => __( 'Enable modules you want to use.', 'handy-addons' ),
						],
					]
				],
			],
		];

		new \Codexpert\Plugin\Settings( $settings );
	}
}